#ifndef MESH_HH
#define MESH_HH

#include <QMatrix4x4>
#include <QVector>
#include <QOpenGLTexture>


struct OpenGLMesh {
	GLuint vao, vbo;
	unsigned nverts;
	QMatrix4x4 mat;
	QOpenGLTexture *tex;

	OpenGLMesh(QVector<float> verts, QOpenGLTexture *tex);
};


#endif
